-- Licensed Materials - Property of IBM
-- 5724-M24
-- Copyright IBM Corporation 2014. All Rights Reserved.
-- US Government Users Restricted Rights- Use, duplication or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- ------------------------------------------------------------------------------------
--
-- Script file to upgrade database from v8.5.5.0 to v8.5.6.0 for DB2 UDB 
--
-- ------------------------------------------------------------------------------------
-- Following variables need to be changed for customization before running this script:
-- @SCHEMA@ = the schema name, eg MONITOR
--
-- Run the script in the DB2 command line processor with admin privileges.
--
-- USAGE:   db2 -tf upgradeSchema866.sql
--
-- ------------------------------------------------------------------------------------
---------------------------------------------------------CHANGED:  SCHEMA_VERSION
DELETE FROM @SCHEMA@.SCHEMA_VERSION;
INSERT INTO @SCHEMA@.SCHEMA_VERSION 
        (SCHEMA_VERSION, DATA_MIGRATION) 
        VALUES( 856, 0 );
--Begin Monitor 8.5.6.0 changes
-- Add new table for FGS US 205728
CREATE TABLE @SCHEMA@.FGS_COGNOS_FILTER_T
(
  USER_ID                            VARCHAR(128)                      NOT NULL ,
  MODEL_ID                           VARCHAR(128)                      NOT NULL , 
  MCID                               VARCHAR(128)                      NOT NULL , 
  SECURITY_PREDICATE                 VARCHAR(4000)                     NOT NULL ,
  PRIMARY KEY ( USER_ID, MODEL_ID, MCID )  
) IN DSTS32K;

COMMIT;
CONNECT RESET;